#![allow(dead_code, unused)]

use game::{proxy::Proxy, Game};
use solve::{
	grouping::{matches, Grouping},
	Solver,
};

mod dictionnary;
mod game;
mod solve;

pub fn main() {
	let (mut game, infos) = Proxy::init();
	let dict = dictionnary::scrable(infos.len());
	let mut solver = Grouping::new(dict.into_iter().filter(|w| matches(w, &infos)));
	solver.learn(infos);
	let result = game.play_all(solver, Some(6));
	println!("{result:?}");
}
